var path = "//" + location.host,
    validations = {
        localizadorResult: false,
        localizadorValidation: function(jQueryform, submit) {
            var localizador = jQuery('input[name="localizador"]').val(),
                submit      = submit || false;

            var tipo_pago   = jQuery('input[name="pago"]:checked').val();	
            var tiempo_pago = jQuery('#tiempo_pago').val();
            var id_pedido   = jQuery('#id_pedido').val();
      
            jQuery.ajax({
                    type : "POST",
                    url  : ROOTGESTOR  + "ApiCompraV2/validacion_compra",                 
                    data : JSON.stringify({  
                        localizador,
                        tipo_pago,
                        tiempo_pago,
                        id_pedido
                    }), 
                    success: function (response) {
                        let data = JSON.parse(response); 
                   
                        if (data) {                                                         
                            jQueryform[0].submit();
                        } else {
                            var mensaje_loc_pasarela ='Localizador en estado pasarela';
                            try {
                              if(validar_compra["localizador_en_pasarela"] !== undefined){
                                mensaje_loc_pasarela = validar_compra["localizador_en_pasarela"];
                              }
                            } catch (error) {
                             
                            }

                            var dom = '<div id="session-caducada-msg" class="col-xs-12 col-sm-12"><label class="error">' + mensaje_loc_pasarela +'</label></div>';
    
                            jQuery(".finalizar_compra").before(dom);
    
                            setTimeout(function() {
                                window.location = path;
                            }, 5000);
                        }
                    
                    },			
                    beforeSend: function () {
      
                    }          
                });
       
        },
        preguntasResult: false,
        preguntasValidation: function() {
            var jQueryform  = jQuery("#formPreguntas"),
                data        = jQueryform.serialize(),
                localizador = jQuery('input[name="localizador"]').val();

            if (data.length) {
                jQuery
                    .ajax({
                        url   : path + "/wp-content/plugins/visitas/modules/visitas/reservas/ajax/validacion_preguntas.php",
                        data  : { 
                            preguntas   : data, 
                            localizador : localizador 
                        },
                        type  : "POST",
                        cache : false
                    })
                    .done(function() {
                        validations.preguntasResult = true;
                    });
            } else {
                validations.preguntasResult = true;
            }
        }
    };

function EstablecerValidaciones(){
    var jQueryform = jQuery("#Redsys, #Paypal, #modulo_reservas");

    // Realizamos las validaciones oportunas
    jQueryform.find('input[type="submit"]').on("click", function() {
        jQuery(this).prop('disabled', true);
        validations.localizadorValidation(jQueryform, false);

        return false;
    });
}

